<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package Dorya
 */

get_header();

$image = get_theme_mod( 'dorya_settings_page_404_image', DORYA_URI . '/assets/img/404/404.jpg' );
$title = get_theme_mod( 'dorya_settings_page_404_title', __( 'Page Not Found', 'dorya' ) );
$description = get_theme_mod( 'dorya_settings_page_404_description', __( 'The page you are looking for might have been removed, had its name changed, or is temporarily unavailable.', 'dorya' ) );
$button_text = get_theme_mod( 'dorya_settings_page_404_button_text', __( 'Take Me Back Home', 'dorya' ) );

?>

<div class="page-404-section page-404">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-xl-6 text-center">
				<main class="site-main" role="main">

					<div class="page-404">
						<span class="page-404__number" style="background-image: url( <?php echo esc_url( $image ); ?> );">
							<?php echo esc_html__( '404', 'dorya' ); ?>
						</span>
						<h1 class="page-404__title"><?php echo esc_html( $title ); ?></h1>
						<p class="page-404__text"><?php echo esc_html( $description ); ?></p>
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn btn--lg btn--dark"><span><?php echo esc_html( $button_text ); ?></span></a>
					</div>

				</main>
			</div>
		</div>				
	</div>
</div>

<?php get_footer();