"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var DarkMode = /*#__PURE__*/function () {
  function DarkMode() {
    _classCallCheck(this, DarkMode);
    this.storageKey = "theme-preference";
    this.theme = {
      value: this.getColorPreference()
    };
    this.reflectPreference();
    this.events();
  }
  _createClass(DarkMode, [{
    key: "events",
    value: function events() {
      var _this = this;
      window.onload = function () {
        // set on load so screen readers can see latest value on the button
        _this.reflectPreference();

        // now this script can find and listen for clicks on the control
        document.querySelectorAll(".js-dark-mode-trigger").forEach(function (trigger) {
          trigger.addEventListener("click", function (e) {
            return _this.onClick(e);
          });
        });
      };

      // sync with system changes
      window.matchMedia("(prefers-color-scheme: dark)").addEventListener("change", function (_ref) {
        var isDark = _ref.matches;
        _this.theme.value = isDark ? "dark" : "light";
        _this.setPreference();
      });
    }
  }, {
    key: "getColorPreference",
    value: function getColorPreference() {
      if (document.documentElement.getAttribute("data-color-scheme") === "dark") {
        return "dark";
      }
      if (localStorage.getItem(this.storageKey)) {
        return localStorage.getItem(this.storageKey);
      } else {
        return window.matchMedia("(prefers-color-scheme: dark)").matches ? "dark" : "light";
      }
    }
  }, {
    key: "setPreference",
    value: function setPreference() {
      localStorage.setItem(this.storageKey, this.theme.value);
      this.reflectPreference();
    }
  }, {
    key: "reflectPreference",
    value: function reflectPreference() {
      var _this2 = this;
      document.firstElementChild.dataset.colorScheme = "";
      document.firstElementChild.dataset.colorScheme = this.theme.value;
      document.querySelectorAll(".js-dark-mode-trigger").forEach(function (trigger) {
        trigger === null || trigger === void 0 ? void 0 : trigger.setAttribute("aria-label", _this2.theme.value);
      });
    }
  }, {
    key: "onClick",
    value: function onClick(e) {
      e.preventDefault();
      // flip current value
      this.theme.value = this.theme.value === "light" ? "dark" : "light";
      this.setPreference();
    }
  }]);
  return DarkMode;
}();
new DarkMode();