<?php
/**
 * Customizer Colors
 *
 * @package Dorya
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}

/*-------------------------------------------------------*/
/* General Colors
/*-------------------------------------------------------*/

// Primary color
new \Kirki\Field\Color( array(
	'settings'    => 'dorya_settings_primary_color',
	'label'       => esc_html__( 'Primary', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => $primary_color,
	'output' => array(
		array(
			'element'  => 'body, :root',
			'property' => '--deo-primary-color',
		),
	),
	'transport' => 'auto',
) );

// Secondary color
new \Kirki\Field\Color( array(
	'settings'    => 'dorya_settings_secondary_color',
	'label'       => esc_html__( 'Secondary', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => $secondary_color,
	'output' => array(
		array(
			'element'  => 'body, :root',
			'property' => '--deo-secondary-color',
		),
	),
	'transport' => 'auto',
) );


// Light Mode Colors
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'custom',
	'settings'    => 'separator-' . $uniqid++,
	'section'     => 'dorya_settings_general_colors',
	'default'     => '<h3 class="customizer-title">' . esc_attr__( 'Light Mode Colors', 'dorya' ) . '</h3>',
) );

// Headings colors
new \Kirki\Field\Color( array(
	'settings'    => 'dorya_settings_headings_color',
	'label'       => esc_html__( 'Headings', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => $heading_color,
	'output' => array(
		array(
			'element'  => '[data-color-scheme="light"] body, :root[data-color-scheme="light"]',
			'property' => '--deo-heading-color',
		),
	),
	'transport' => 'auto',
) );

// Text color
new \Kirki\Field\Color( array(
	'settings'    => 'dorya_settings_text_color',
	'label'       => esc_html__( 'Text', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => $text_color,
	'output' => array(
		array(
			'element'  => '[data-color-scheme="light"] body, :root[data-color-scheme="light"]',
			'property' => '--deo-text-color',
		),
	),
	'transport' => 'auto',
) );

// Borders color
new \Kirki\Field\Color( array(
	'type'        => 'color',
	'settings'    => 'dorya_settings_borders_color',
	'label'       => esc_html__( 'Borders', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => $border_color,
	'output' => array(
		array(
			'element'     => '[data-color-scheme="light"] body, :root[data-color-scheme="light"]',
			'property'    => '--deo-border-color',
		),
	),
	'transport' => 'auto',
) );

// Page background color
new \Kirki\Field\Color( array(
	'settings'    => 'dorya_settings_page_background_color',
	'label'       => esc_html__( 'Background', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => $background_color,
	'output' => array(
		array(
			'element'  => '[data-color-scheme="light"] body, :root[data-color-scheme="light"]',
			'property' => '--deo-background-color',
		),
	),
	'transport' => 'auto',
) );


// Dark Mode Colors
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'custom',
	'settings'    => 'separator-' . $uniqid++,
	'section'     => 'dorya_settings_general_colors',
	'default'     => '<h3 class="customizer-title">' . esc_attr__( 'Dark Mode Colors', 'dorya' ) . '</h3>',
	'active_callback' => array(
		array(
			'setting'  => 'dorya_settings_dark_mode',
			'operator' => '==',
			'value'    => true,
		)
	),
) );

// Headings dark mode color
new \Kirki\Field\Color( array(
	'settings'    => 'dorya_settings_headings_dark_mode_color',
	'label'       => esc_html__( 'Headings', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => '#ffffff',
	'output' => array(
		array(
			'element'  => '[data-color-scheme="dark"] body, :root[data-color-scheme="dark"]',
			'property' => '--deo-heading-color',
		),
	),
	'active_callback' => array(
		array(
			'setting'  => 'dorya_settings_dark_mode',
			'operator' => '==',
			'value'    => true,
		)
	),
	'transport' => 'auto',
) );

// Text dark mode color
new \Kirki\Field\Color( array(
	'settings'    => 'dorya_settings_text_dark_mode_color',
	'label'       => esc_html__( 'Text', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => '#afafaf',
	'output' => array(
		array(
			'element'  => '[data-color-scheme="dark"] body, :root[data-color-scheme="dark"]',
			'property' => '--deo-text-color',
		),
		array(
			'element'  => '[data-color-scheme="dark"] body',
			'property' => '--e-global-color-text',
		),
	),
	'active_callback' => array(
		array(
			'setting'  => 'dorya_settings_dark_mode',
			'operator' => '==',
			'value'    => true,
		)
	),
	'transport' => 'auto',
) );

// Borders dark mode color
new \Kirki\Field\Color( array(
	'type'        => 'color',
	'settings'    => 'dorya_settings_borders_dark_mode_color',
	'label'       => esc_html__( 'Borders', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => '#333333',
	'output' => array(
		array(
			'element'     => '[data-color-scheme="dark"] body, :root[data-color-scheme="dark"]',
			'property'    => '--deo-border-color',
		),
	),
	'active_callback' => array(
		array(
			'setting'  => 'dorya_settings_dark_mode',
			'operator' => '==',
			'value'    => true,
		)
	),
	'transport' => 'auto',
) );

// Page dark mode background color
new \Kirki\Field\Color( array(
	'settings'    => 'dorya_settings_page_dark_mode_background_color',
	'label'       => esc_html__( 'Background', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => '[data-color-scheme="dark"] body, :root[data-color-scheme="dark"]',
			'property' => '--deo-background-color',
		),
	),
	'active_callback' => array(
		array(
			'setting'  => 'dorya_settings_dark_mode',
			'operator' => '==',
			'value'    => true,
		)
	),
	'transport' => 'auto',
) );


// Buttons Colors
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'custom',
	'settings'    => 'separator-' . $uniqid++,
	'section'     => 'dorya_settings_general_colors',
	'default'     => '<h3 class="customizer-title">' . esc_attr__( 'Buttons', 'dorya' ) . '</h3>',
) );

// Buttons background color
new \Kirki\Field\Color( array(
	'type'        => 'color',
	'settings'    => 'dorya_settings_buttons_background_color',
	'label'       => esc_html__( 'Background', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => $primary_color,
	'output' => array(
		array(
			'element' => 'body, :root',
			'property' => '--deo-buttons-background-color',
		),
	),
	'transport' => 'auto',
) );

// Buttons text color
new \Kirki\Field\Color( array(
	'type'        => 'color',
	'settings'    => 'dorya_settings_buttons_text_color',
	'label'       => esc_html__( 'Text', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => '#ffffff',
	'output' => array(
		array(
			'element' => 'body, :root',
			'property' => '--deo-buttons-text-color',
		),
	),
	'transport' => 'auto',
) );

// Buttons hover background color
new \Kirki\Field\Color( array(
	'type'        => 'color',
	'settings'    => 'dorya_settings_buttons_hover_background_color',
	'label'       => esc_html__( 'Hover background', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => $bg_dark_color,
	'output' => array(
		array(
			'element' => 'body, :root',
			'property' => '--deo-buttons-hover-background-color',
		),
	),
	'transport' => 'auto',
) );

// Buttons hover text color
new \Kirki\Field\Color( array(
	'type'        => 'color',
	'settings'    => 'dorya_settings_buttons_hover_text_color',
	'label'       => esc_html__( 'Hover text', 'dorya' ),
	'section'     => 'dorya_settings_general_colors',
	'default'     => '#ffffff',
	'output' => array(
		array(
			'element' => 'body, :root',
			'property' => '--deo-buttons-hover-text-color',
		),
	),
	'transport' => 'auto',
) );


/*-------------------------------------------------------*/
/* Footer Colors
/*-------------------------------------------------------*/

// Footer background color
new \Kirki\Field\Color( array(
	'type'        => 'color',
	'settings'    => 'dorya_settings_footer_background_color',
	'label'       => esc_html__( 'Background color', 'dorya' ),
	'section'     => 'dorya_settings_footer_colors',
	'default'     => $bg_dark_color,
	'output' => array(
		array(
			'element'  => '.footer',
			'property' => 'background-color',
		),
		array(
			'element'  => ':root[data-widget-area-id*="dorya-footer-col-"]',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
) );

// Footer dividers color
new \Kirki\Field\Color( array(
	'type'        => 'color',
	'settings'    => 'dorya_settings_footer_dividers_color',
	'label'       => esc_html__( 'Dividers color', 'dorya' ),
	'section'     => 'dorya_settings_footer_colors',
	'default'     => 'rgba(255,255,255,.2)',
	'output' => array(
		array(
			'element'  => '.footer__widgets',
			'property' => 'border-color',
		),
	),
	'transport' => 'auto',
) );

// Footer widget title color
new \Kirki\Field\Color( array(
	'type'        => 'color',
	'settings'    => 'dorya_settings_footer_widgets_title_color',
	'label'       => esc_html__( 'Widgets title', 'dorya' ),
	'section'     => 'dorya_settings_footer_colors',
	'default'     => '#ffffff',
	'output' => array(
		array(
			'element'  => '.footer .widget-title',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
) );


if ( class_exists( 'Dorya_Core' ) ) {
	/*-------------------------------------------------------*/
	/* Cookies Bar Colors
	/*-------------------------------------------------------*/

	// Cookies bar background color
	new \Kirki\Field\Color( array(
		'type'        => 'color',
		'settings'    => 'dorya_settings_cookies_bar_background_color',
		'label'       => esc_html__( 'Cookies bar background color', 'dorya' ),
		'section'     => 'dorya_settings_cookies_bar_colors',
		'default'     => '#000000',
		'active_callback' => array(
			array(
				'setting'  => 'dorya_settings_cookies_bar_show',
				'operator' => '==',
				'value'    => true,
			),
		),
		'output' => array(
			array(
				'element'  => '.cc-window',
				'property' => 'background-color',
			),
		),
		'transport' => 'auto',
	) );

	// Cookies bar text color
	new \Kirki\Field\Color( array(
		'type'        => 'color',
		'settings'    => 'dorya_settings_cookies_bar_text_color',
		'label'       => esc_html__( 'Cookies bar text color', 'dorya' ),
		'section'     => 'dorya_settings_cookies_bar_colors',
		'default'     => '#ffffff',
		'active_callback' => array(
			array(
				'setting'  => 'dorya_settings_cookies_bar_show',
				'operator' => '==',
				'value'    => true,
			),
		),
		'output' => array(
			array(
				'element'  => '.cc-message',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );

	// Cookies bar link color
	new \Kirki\Field\Color( array(
		'type'        => 'color',
		'settings'    => 'dorya_settings_cookies_bar_link_color',
		'label'       => esc_html__( 'Cookies bar link color', 'dorya' ),
		'section'     => 'dorya_settings_cookies_bar_colors',
		'default'     => '#ffffff',
		'active_callback' => array(
			array(
				'setting'  => 'dorya_settings_cookies_bar_show',
				'operator' => '==',
				'value'    => true,
			),
		),
		'output' => array(
			array(
				'element'  => '.cc-link, .cc-link:active, .cc-link:visited, .cc-link:hover, .cc-link:focus',
				'property' => 'color',
			),
		),
		'transport' => 'auto',
	) );
}