<?php
/**
 * Customizer Footer
 *
 * @package Dorya
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}

// Show footer
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'toggle',
	'settings'    => 'dorya_settings_footer_show',
	'label'       => esc_attr__( 'Show footer', 'dorya' ),
	'section'     => 'dorya_settings_footer',
	'default'     => true,
) );

// Sticky footer
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'toggle',
	'settings'    => 'dorya_settings_footer_sticky',
	'label'       => esc_attr__( 'Sticky footer', 'dorya' ),
	'section'     => 'dorya_settings_footer',
	'default'     => true,
) );

// Show footer widgets
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'toggle',
	'settings'    => 'dorya_settings_footer_widgets_show',
	'label'       => esc_attr__( 'Show footer widgets', 'dorya' ),
	'section'     => 'dorya_settings_footer',
	'default'     => true,
	'active_callback' => array(
		array(
			'setting'  => 'dorya_settings_footer_show',
			'operator' => '==',
			'value'    => true,
		)
	),
) );

// Footer columns
new \Kirki\Field\Radio_Image( array(
	'settings'    => 'dorya_settings_footer_columns',
	'label'       => esc_html__( 'Number of columns', 'dorya' ),
	'section'     => 'dorya_settings_footer',
	'default'     => 'footer-col-3',
	'choices'     => array(
		'footer-col-1' 				=> get_template_directory_uri() . '/assets/img/customizer/1-col.png',
		'footer-col-2' 				=> get_template_directory_uri() . '/assets/img/customizer/2-col.png',
		'footer-col-3' 				=> get_template_directory_uri() . '/assets/img/customizer/3-col.png',
		'footer-col-4' 				=> get_template_directory_uri() . '/assets/img/customizer/4-col.png',
		'footer-col-5' 				=> get_template_directory_uri() . '/assets/img/customizer/5-col.png',
		'footer-col-50-25-25' => get_template_directory_uri() . '/assets/img/customizer/50-25-25-col.png',
	),
	'active_callback' => array(
		array(
			'setting'  => 'dorya_settings_footer_show',
			'operator' => '==',
			'value'    => true,
		)
	),
) );

// Footer Logo
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'image',
	'settings'    => 'dorya_settings_footer_bottom_logo',
	'label'       => esc_html__( 'Upload logo', 'dorya' ),
	'section'     => 'dorya_settings_footer',
	'default'     => array(
		'url' => DORYA_URI . '/assets/img/logo_white@2x.png',
		'id' => 0,
		'width' => 250,
		'height' => 78
	),
	'choices'   => array(
		'save_as' => 'array',
	),
	'active_callback' => array(
		array(
			'setting'  => 'dorya_settings_footer_show',
			'operator' => '==',
			'value'    => true,
		)
	),
) );

// Show footer bottom menu
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'toggle',
	'settings'    => 'dorya_settings_footer_bottom_menu_show',
	'label'       => esc_attr__( 'Show bottom footer menu', 'dorya' ),
	'section'     => 'dorya_settings_footer',
	'default'     => true,
	'active_callback' => array(
		array(
			'setting'  => 'dorya_settings_footer_show',
			'operator' => '==',
			'value'    => true,
		)
	),
) );