<?php
/**
 * Customizer General
 *
 * @package Dorya
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}

// Preloader title
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'custom',
	'settings'    => 'separator-' . $uniqid++,
	'section'     => 'dorya_settings_general',
	'default'     => '<h3 class="customizer-title">' . esc_attr__( 'Preloader', 'dorya' ) . '</h3>',
) );

// Preloader show
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'toggle',
	'settings'    => 'dorya_settings_preloader_show',
	'label'       => esc_html__( 'Preloader', 'dorya' ),
	'section'     => 'dorya_settings_general',
	'default'     => false,
) );

// Preloader image upload
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'image',
	'settings'    => 'dorya_settings_preloader_image',
	'label'       => esc_attr__( 'Preloader image', 'dorya' ),
	'section'     => 'dorya_settings_general',
	'default'			=> array(
		'url' => DORYA_URI . '/assets/img/logo_white@2x.png',
	),
	'choices'     => array(
		'save_as' => 'array',
	),
	'active_callback' => array(
		array(
			'setting'  => 'dorya_settings_preloader_show',
			'operator' => '==',
			'value'    => true,
		)
	),
) );

// Dark mode title
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'custom',
	'settings'    => 'separator-' . $uniqid++,
	'section'     => 'dorya_settings_general',
	'default'     => '<h3 class="customizer-title">' . esc_attr__( 'Dark mode', 'dorya' ) . '</h3>',
) );

// Dark mode
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'toggle',
	'settings'    => 'dorya_settings_dark_mode',
	'label'       => esc_html__( 'Dark mode', 'dorya' ),
	'section'     => 'dorya_settings_general',
	'default'     => false,
) );

// Back to top title
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'custom',
	'settings'    => 'separator-' . $uniqid++,
	'section'     => 'dorya_settings_general',
	'default'     => '<h3 class="customizer-title">' . esc_attr__( 'Back to top', 'dorya' ) . '</h3>',
) );

// Back to top
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'toggle',
	'settings'    => 'dorya_settings_back_to_top_show',
	'label'       => esc_html__( 'Back to top arrow', 'dorya' ),
	'section'     => 'dorya_settings_general',
	'default'     => true,
) );

// Back to top bottom offset
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'slider',
	'settings'    => 'dorya_settings_back_to_top_bottom_offset',
	'label'       => esc_attr__( 'Bottom offset', 'dorya' ),
	'section'     => 'dorya_settings_general',
	'default'     => 20,
	'choices'     => array(
		'min'  => '0',
		'max'  => '300',
		'step' => '1',
	),
	'output'       => array(
		array(
			'element'     => '#back-to-top.show',
			'property'    => 'bottom',
			'units'       => 'px',
		),
	),
	'active_callback' => array(
		array(
			'setting'  => 'dorya_settings_back_to_top_show',
			'operator' => '==',
			'value'    => true,
		)
	),
	'transport' => 'auto',
) );