<?php
/**
 * Customizer Page 404
 *
 * @package Dorya
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}

// Image
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'image',
	'settings'    => 'dorya_settings_page_404_image',
	'label'       => esc_html__( 'Image', 'dorya' ),
	'section'     => 'dorya_settings_page_404',
	'default'     => DORYA_URI . '/assets/img/404/404.jpg',
) );

// Title
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'text',
	'settings'    => 'dorya_settings_page_404_title',
	'label'       => esc_html__( 'Page 404 title', 'dorya' ),
	'section'     => 'dorya_settings_page_404',
	'default'     => esc_html__( 'Page Not Found', 'dorya' ),
) );

// Description text
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'text',
	'settings'    => 'dorya_settings_page_404_description',
	'label'       => esc_html__( 'Page 404 description text', 'dorya' ),
	'section'     => 'dorya_settings_page_404',
	'default'     => esc_html__( 'The page you are looking for might have been removed, had its name changed, or is temporarily unavailable.', 'dorya' ),
) );

// Button text
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'text',
	'settings'    => 'dorya_settings_page_404_button_text',
	'label'       => esc_html__( 'Page 404 button text', 'dorya' ),
	'section'     => 'dorya_settings_page_404',
	'default'     => esc_html__( 'Take Me Back Home', 'dorya' ),
) );