<?php
/**
 * Customizer Page Title
 *
 * @package Dorya
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}

// Page title padding
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'dimensions',
	'settings'    => 'dorya_settings_page_title_padding',
	'label'       => esc_attr__( 'Page title top/bottom padding', 'dorya' ),
	'section'     => 'dorya_settings_page_title',
	'default'     => [
		'padding-top'    => '80px',
		'padding-bottom' => '80px',
	],
	'output'       => array(
		array(
			'element'  => '.page-title',
			'media_query' => $bp_lg_up,
		),
	),
) );


// Breadcrumbs title
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'custom',
	'settings'    => 'separator-' . $uniqid++,
	'section'     => 'dorya_settings_page_title',
	'default'     => '<h3 class="customizer-title">' . esc_attr__( 'Breadcrumbs', 'dorya' ) . '</h3>',
) );

// Show page breadcrumbs
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'toggle',
	'settings'    => 'dorya_settings_breadcrumbs_pages_show',
	'label'       => esc_attr__( 'Show on a regular pages', 'dorya' ),
	'section'     => 'dorya_settings_page_title',
	'default'     => false,
) );

// Show blog breadcrumbs
Kirki::add_field( 'dorya_settings_config', array(
	'type'        => 'toggle',
	'settings'    => 'dorya_settings_breadcrumbs_blog_show',
	'label'       => esc_attr__( 'Show on a blog listing page', 'dorya' ),
	'section'     => 'dorya_settings_page_title',
	'default'     => false,
) );
