<?php
/**
 * Masonry grid post layout.
 * @author  	 DeoThemes
 * @copyright  (c) Copyright by DeoThemes
 * @link       https://deothemes.com
 * @package 	 Dorya
 * @since 		 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}

$columns = get_theme_mod( 'dorya_settings_blog_columns', 'col-lg-12' );
?>

<article itemtype="https://schema.org/Article" itemscope="itemscope" id="post-<?php the_ID(); ?>" <?php post_class( 'entry hover-shrink' ); ?>>
	<div class="entry__body">

		<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="entry__url <?php if ( ! has_post_thumbnail() ) echo 'hover-shrink--shrink bg-overlay bg-overlay--full'; ?>"></a>

		<?php if ( has_post_thumbnail() ) : ?>
			<!-- Post thumb -->
			<figure class="entry__img-holder bg-gradient-bottom hover-shrink--shrink">
				<?php the_post_thumbnail( 'dorya_featured_medium', array( 'class' => 'entry__img hover-shrink--zoom' ) ); ?>
			</figure>
		<?php endif; ?>

		<div class="entry__info-holder">

			<?php if ( get_theme_mod( 'dorya_settings_meta_category_show', true ) ) : ?>
				<?php dorya_meta_categories(); ?>
			<?php endif; ?>

			<?php the_title( sprintf( '<h2 class="entry__title title-underline"><a href="%s">',
			esc_url( get_permalink() ) ),
			'</a></h2>' ); ?>
		
			<?php if ( get_theme_mod( 'dorya_settings_meta_date_show', true ) ) : ?>
				<div class="entry__meta">

					<?php if ( get_theme_mod( 'dorya_settings_meta_date_show', true ) ) : ?>
						<?php dorya_meta_date(); ?>
					<?php endif; ?>

				</div>
			<?php endif; ?>

	</div> <!-- .entry__body -->
</article><!-- #post-## -->