<?php
/**
 * The default footer template file
 * @author  	 DeoThemes
 * @copyright  (c) Copyright by DeoThemes
 * @link       https://deothemes.com
 * @package 	 Dorya
 * @since 		 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
} ?>

<?php if ( get_theme_mod( 'dorya_settings_footer_show', true ) ) : ?>

	<!-- Footer -->
	<footer class="footer <?php if ( get_theme_mod( 'dorya_settings_footer_sticky', true ) ) echo 'footer--sticky'; ?>" role="contentinfo" itemscope itemtype="https://schema.org/WPFooter">

		<?php if ( is_active_sidebar( 'dorya-footer-col-1' ) || is_active_sidebar( 'dorya-footer-col-2' ) || is_active_sidebar( 'dorya-footer-col-3' ) || is_active_sidebar( 'dorya-footer-col-4' ) || is_active_sidebar( 'dorya-footer-col-5' ) ) : ?>
			<?php if ( get_theme_mod( 'dorya_settings_footer_widgets_show', true ) ) : ?>
				<div class="container">

					<?php if ( is_active_sidebar( 'dorya-footer-cta' ) ) : ?>
						<div class="footer__cta">						
							<div class="row justify-content-center">
								<div class="col-lg-8">
									<?php dynamic_sidebar( 'dorya-footer-cta' ); ?>
								</div>
							</div>
						</div>
					<?php endif; ?>

					<div class="footer__widgets">
						<div class="row row-40">

							<?php // 5 Columns
							if ( get_theme_mod( 'dorya_settings_footer_columns', 'footer-col-3' ) == 'footer-col-5' ) : ?>                

								<?php if ( is_active_sidebar( 'dorya-footer-col-1' ) ) : ?>
									<div class="col-lg col-md-6 footer__col footer__col-1">
										<?php dynamic_sidebar( 'dorya-footer-col-1' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-2' ) ) : ?>
									<div class="col-lg col-md-6 footer__col footer__col-2">
										<?php dynamic_sidebar( 'dorya-footer-col-2' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-3' ) ) : ?>
									<div class="col-lg col-md-6 footer__col footer__col-3">
										<?php dynamic_sidebar( 'dorya-footer-col-3' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-4' ) ) : ?>
									<div class="col-lg col-md-6 footer__col footer__col-4">
										<?php dynamic_sidebar( 'dorya-footer-col-4' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-5' ) ) : ?>
									<div class="col-lg col-md-6 footer__col footer__col-5">
										<?php dynamic_sidebar( 'dorya-footer-col-5' ); ?>
									</div>
								<?php endif; ?>

							<?php endif; ?>
				
							<?php // 4 Columns
							if ( get_theme_mod( 'dorya_settings_footer_columns', 'footer-col-3' ) == 'footer-col-4' ) : ?>                

								<?php if ( is_active_sidebar( 'dorya-footer-col-1' ) ) : ?>
									<div class="col-lg-3 col-md-6 footer__col footer__col-1">
										<?php dynamic_sidebar( 'dorya-footer-col-1' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-2' ) ) : ?>
									<div class="col-lg-3 col-md-6 footer__col footer__col-2">
										<?php dynamic_sidebar( 'dorya-footer-col-2' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-3' ) ) : ?>
									<div class="col-lg-3 col-md-6 footer__col footer__col-3">
										<?php dynamic_sidebar( 'dorya-footer-col-3' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-4' ) ) : ?>
									<div class="col-lg-3 col-md-6 footer__col footer__col-4">
										<?php dynamic_sidebar( 'dorya-footer-col-4' ); ?>
									</div>
								<?php endif; ?>

							<?php endif; ?>

							<?php // 3 Columns
							if ( get_theme_mod( 'dorya_settings_footer_columns', 'footer-col-3' ) == 'footer-col-3' ) : ?>                

								<?php if ( is_active_sidebar( 'dorya-footer-col-1' ) ) : ?>
									<div class="col-lg-8 col-md-6 footer__col-1">
										<?php dynamic_sidebar( 'dorya-footer-col-1' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-2' ) ) : ?>
									<div class="col-lg-2 col-md-3 footer__col-2">
										<?php dynamic_sidebar( 'dorya-footer-col-2' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-3' ) ) : ?>
									<div class="col-lg-2 col-md-3 footer__col-3">
										<?php dynamic_sidebar( 'dorya-footer-col-3' ); ?>
									</div>
								<?php endif; ?>

							<?php endif; ?>

							<?php // 2 Columns
							if ( get_theme_mod( 'dorya_settings_footer_columns', 'footer-col-3' ) == 'footer-col-2' ) : ?>                

								<?php if ( is_active_sidebar( 'dorya-footer-col-1' ) ) : ?>
									<div class="col-lg-6 footer__col-1">
										<?php dynamic_sidebar( 'dorya-footer-col-1' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-2' ) ) : ?>
									<div class="col-lg-6 footer__col-2">
										<?php dynamic_sidebar( 'dorya-footer-col-2' ); ?>
									</div>
								<?php endif; ?>

							<?php endif; ?>

							<?php // 1 Column
							if ( get_theme_mod( 'dorya_settings_footer_columns', 'footer-col-3' ) == 'footer-col-1' ) : ?>                

								<?php if ( is_active_sidebar( 'dorya-footer-col-1' ) ) : ?>
									<div class="col-md-12 footer__col-1">
										<?php dynamic_sidebar( 'dorya-footer-col-1' ); ?>
									</div>
								<?php endif; ?>

							<?php endif; ?>

							<?php // 50 / 25 / 25 Columns
							if ( get_theme_mod( 'dorya_settings_footer_columns', 'footer-col-3' ) == 'footer-col-50-25-25' ) : ?>                

								<?php if ( is_active_sidebar( 'dorya-footer-col-1' ) ) : ?>
									<div class="col-lg-6 footer__col-1">
										<?php dynamic_sidebar( 'dorya-footer-col-1' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-2' ) ) : ?>
									<div class="col-lg-3 footer__col-2">
										<?php dynamic_sidebar( 'dorya-footer-col-2' ); ?>
									</div>
								<?php endif; ?>

								<?php if ( is_active_sidebar( 'dorya-footer-col-3' ) ) : ?>
									<div class="col-lg-3 footer__col-3">
										<?php dynamic_sidebar( 'dorya-footer-col-3' ); ?>
									</div>
								<?php endif; ?>

							<?php endif; ?>

						</div>
					</div> <!-- end footer widgets -->				
				
				</div> <!-- end container -->
			<?php endif; ?>
		<?php endif; ?>

		<?php if ( get_theme_mod( 'dorya_settings_footer_bottom_show', true ) ) : ?>
			<div class="footer__bottom">
				<div class="container">
					<div class="row">						
						
						<?php if ( has_nav_menu( 'footer-bottom-menu' ) && get_theme_mod( 'dorya_settings_footer_bottom_menu_show', true ) ) : ?>						
							<div class="col-md-6">
						<?php else : ?>
							<div class="col-md-12">
						<?php endif; ?>
							<?php $logo = get_theme_mod( 'dorya_settings_footer_bottom_logo', [ 'url' => DORYA_URI . '/assets/img/logo_white@2x.png', 'id' => 0, 'width' => 250, 'height' => 78 ] ); ?>
							<?php if ( ! empty( $logo['url'] ) ) : ?>
								<div class="footer__bottom-widget">
									<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo-url" itemtype="https://schema.org/Organization" itemscope="itemscope">
										<img src="<?php echo esc_url( $logo['url'] ) ?>"
										class="footer__bottom-widget-logo"
										width="<?php echo esc_attr( $logo['width'] ); ?>"
										height="<?php echo esc_attr( $logo['height'] ); ?>"
										alt="<?php bloginfo( 'name' ) ?>" />
									</a>													
								</div>
							<?php endif; ?>
						</div>

						<?php if ( has_nav_menu( 'footer-bottom-menu' ) && get_theme_mod( 'dorya_settings_footer_bottom_menu_show', true ) ) : ?>
							<div class="col-md-6">
								<?php
									wp_nav_menu( array(
										'theme_location' => 'footer-bottom-menu',
										'menu_class'     => 'footer__nav-menu',
										'depth'          => 1,
									) );
								?>
							</div>
						<?php endif; ?>

					</div> <!-- .row -->
				</div> <!-- .container -->
			</div> <!-- .footer__bottom -->
		<?php endif; ?>		

	</footer>

	<?php if ( get_theme_mod( 'dorya_settings_footer_sticky', true ) ) : ?>
		<div class="footer-placeholder"></div>
	<?php endif; ?>

<?php endif; ?>	