<?php
/**
 * The default header template file
 * @author  	 DeoThemes
 * @copyright  (c) Copyright by DeoThemes
 * @link       https://deothemes.com
 * @package 	 Dorya
 * @since 		 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}

$header_classes = array( 'dorya-header', 'nav' );
$header_sticky = ( get_theme_mod( 'dorya_settings_sticky_header', true ) ) ? 'nav--sticky ' : '';
$header_classes = implode( ' ', $header_classes );
?>

<header class="<?php echo esc_attr( $header_classes ); ?>" role="banner" itemtype="https://schema.org/WPHeader" itemscope="itemscope">
	<div class="nav__holder <?php echo esc_attr( $header_sticky ); ?>">
		<div class="nav__container container">
			<div class="nav__flex-parent flex-parent">

				<div class="nav__header">

					<?php dorya_logo_before(); ?>
					<?php dorya_logo(); ?>
					<?php dorya_logo_after(); ?>

					<?php dorya_menu_mobile(); ?>

				</div> <!-- .nav__header -->

				<?php dorya_menu_before(); ?>

				<?php if ( has_nav_menu('primary-menu') ) : ?>
					<!-- Navbar -->
					<nav class="nav__wrap collapse navbar-collapse" id="navbar-collapse" role="navigation" itemtype="https://schema.org/SiteNavigationElement" itemscope="itemscope" aria-label="<?php echo esc_attr__( 'Primary menu', 'dorya' ); ?>">		
						<?php			
							wp_nav_menu( array(
								'theme_location'  => 'primary-menu',
								'fallback_cb'			=> '__return_false',
								'container'       => false,
								'menu_class'      => 'nav__menu',
								'walker'          => new Dorya_Walker_Nav_Menu()
							) );
						?>

						<?php dorya_dark_mode_toggle( 'd-lg-none' ); ?>

						<?php dorya_last_menu_item_after(); ?>

					</nav> <!-- end nav__wrap -->
				<?php endif; ?>
				
				<?php dorya_dark_mode_toggle( 'd-lg-block d-none' ); ?>

				<?php dorya_menu_after(); ?>

			</div> <!-- .flex-parent -->
		</div> <!-- .nav__container -->
	</div> <!-- .nav__holder -->
</header> <!-- .dorya-header -->